# Contributing

See the [META contributing guide](https://github.com/meta-network/docs/blob/master/CONTRIBUTING.md).

## Setup
```
npm install
```

## Build
```
npm run build
```

## Test
Before running the tests, start a local RPC node:
```
npm run testrpc
```

Then deploy the ENS Registry contract:
```
npm run deploy-ens
```

Finally, create the Identity contracts:
```
npm run create-identity
```

Run the tests:
```
npm test
```

## Remix
Share local contracts with [Remix IDE](https://remix.ethereum.org):
```
npm run remix
```
