# Deploy contracts

Follow these steps to deploy the META Identity contracts to a local RPC node and
output the addresses for use with the `meta-id` library:

1. Start your local RPC node on `localhost:8545`
2. Clone the META Identity repository
3. Install META Identity dependencies: `npm install`
4. Deploy the META Identity custom ENS registry: `npm run deploy-ens`
5. Deploy the META Identity contracts: `npm run create-identity`
6. Copy the `contracts/addresses.json` file to your project and use when
   instantiating the `meta-id` library:

```js
import contractAddresses from './contracts/addresses.json'
const metaId = MetaId({ addresses: contractAddresses })
```
