# `generateKeystoreFilename()`

Generate Ethereum account keystore filename.

## Parameters

- `address` `<String>` - Public address of keystore account

## Returns

- Keystore filename `<String>`

## Example

```js
import MetaId from 'meta-id'

// init meta-id
const metaId = MetaId()

metaId.generateKeystoreFilename('5c03f5bd690567501aa56b765d1c8a4db386aeec')
// => UTC--2010-10-10T10-10-10.100Z--5c03f5bd690567501aa56b765d1c8a4db386aeec
```
