# `generateMetaId()`

Generate a META-ID from a name using the ENS Namehash spec.

## Parameters

- `name` `<String>` - Name to hash

## Returns

- META-ID namehash `<String>`

## Example

```js
import MetaId from 'meta-id'

// init meta-id
const metaId = MetaId()

metaId.generateMetaId('alice') // META-ID = `alice.id.meta`
// => 0x84e8b49dfdcd516a0e6f4484062c03e459c1d5a232469b99115b12c20251a1ce
```
