# Getting Started

1. Install the `meta-id` library:
  ```
  npm install meta-id
  ```

2. [Deploy the META Identity contracts to your local RPC node](deploy-contracts.md)
   (Support for using contracts deployed to testnets is coming soon)

3. Import and initialise the library in your project:
  ```js
  import MetaId from 'meta-id'
  import contractAddresses from './contracts/addresses.json'

  const metaId = MetaId({ addresses: contractAddresses })
  ```

4. Check everything is working:
  ```js
  console.log('🆔 Running meta-id version:', metaId.version())
  ```

5. Explore the docs for individual methods!
